LINUX.ORG.RU

[debian sid] пакетные грабли


0

1

решил проадгрейдить свой squeeze до sid'a - там типа пакены новее и все такое... при самом апгрейде вылезла ошибочка, но ее получилось обойти. теперь (вроде) все нормальгл запускается, но при попытке установить что-то или проапдейтить вылазит такая шляпа:
---
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]?
Setting up glx-diversions (0.1.93) ...
No diversion 'diversion of /usr/lib/debug/usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/mesa-diverted/libglx.so.dbg by glx-diversions', none removed.
Removing 'diversion of /usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/mesa-diverted/libglx.so by glx-diversions'
dpkg-divert: error: rename involves overwriting `/usr/lib/xorg/modules/extensions/libglx.so' with
different file `/usr/lib/mesa-diverted/libglx.so', not allowed
dpkg: error processing glx-diversions (--configure):
subprocess installed post-installation script returned error exit status 2
configured to not write apport reports
dpkg: dependency problems prevent configuration of glx-alternative-mesa:
glx-alternative-mesa depends on glx-diversions (= 0.1.93); however:
Package glx-diversions is not configured yet.
dpkg: error processing glx-alternative-mesa (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
dpkg: dependency problems prevent configuration of glx-alternative-nvidia:
glx-alternative-nvidia depends on glx-diversions (= 0.1.93); however:
Package glx-diversions is not configured yet.
glx-alternative-nvidia depends on glx-alternative-mesa; however:
Package glx-alternative-mesa is not configured yet.
dpkg: error processing glx-alternative-nvidia (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
dpkg: dependency problems prevent configuration of libglx-nvidia-alternatives:
libglx-nvidia-alternatives depends on glx-alternative-mesa; however:
Package glx-alternative-mesa is not configured yet.
libglx-nvidia-alternatives depends on glx-alternative-nvidia; however:
Package glx-alternative-nvidia is not configured yet.
dpkg: error processing libglx-nvidia-alternatives (--configure):
dependency problems - leaving unconfigured
configured to not write apport reports
Errors were encountered while processing:
glx-diversions
glx-alternative-mesa
glx-alternative-nvidia
libglx-nvidia-alternatives
E: Sub-process /usr/bin/dpkg returned an error code (1)
---
можно ли это как-то исправить?

Я исправляю так: открываю Synaptic, там нахожу категорию программ «с ошибкой», там находится та самая программа с ошибкой, котороая установилась через dpkg -i и работает. Удаляю эту программу, и всё работает. Потом я эту программу вручную распаковываю в /usr/local.

anonymous ()
Ответ на: комментарий от anonymous

да тут что-то похитрее... или ждать обновлений от дебиана... :-\

metawishmaster ★★★★ ()

говорят блоб поломали. Я хз, я дистровыми дровами не пользуюсь, так что УМВР

lazyklimm ★★★★★ ()

так зачем все пакеты до сида????

лучше оставайся на стейбл и устанавливай с других веток только то, что считаешь необходимым

djaga__ ()

В сиде поломали зависимости блоба

N1ghtmare ★★ ()

>No diversion 'diversion of /usr/lib/debug/usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/mesa-diverted/libglx.so.dbg by glx-diversions', none removed.
ЕМНИП, нечто подобное в своё время там пережил и ATI-шный блоб. Да и в Trinity когда-то тоже было.

dogbert ★★★★★ ()
Ответ на: комментарий от lmtea

> aptitude пробуй, он может быть осилит.

Плюсую, aptitude выручал в таких случаях, после чего стал пользоваться только им.

firestarter ★★★☆ ()
Ответ на: комментарий от djaga__

лучше оставайся на стейбл и устанавливай с других веток только то, что считаешь необходимым

похоже так и сделаю... glx в КДЕ притормаживает непонятно, device notifier не видит имен устройств... прийдется снова squeeze ставить

metawishmaster ★★★★ ()

сломали около месяца назад

забил обновляться

потом перешел на арч

профит (:

Ingvarr ★★★ ()
Ответ на: комментарий от djaga__

Плюсую, но установить что-нибудь крупнее игры непросто, ради одного пакета половину системы обновить предлагает.

lmtea ()

Так точно, блоб поломали. Я ручками правил файлы и насильно грейдил этот пакет.

melkor217 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.